Package org.eclipse.birt.core.template

# Class TextTemplate.ImageNode

java.lang.Object
org.eclipse.birt.core.template.TextTemplate.Node
org.eclipse.birt.core.template.TextTemplate.ImageNode

Enclosing class:
  `TextTemplate`

public static class TextTemplate.ImageNode extends TextTemplate.Node

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`IMAGE_TYPE_EMBEDDED`
`static final String`
`IMAGE_TYPE_EXPR`

## Constructor Summary

Constructors
Constructor
Description
`ImageNode()`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(TextTemplate.Visitor visitor, Object value)`
`HashMap`
`getAttributes()`
`String`
`getExpr()`
`String`
`getImageName()`
`String`
`getType()`
`void`
`setAttribute(String name, String value)`
`void`
`setExpr(String expr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IMAGE_TYPE_EXPR

public static final String IMAGE_TYPE_EXPR

See Also:
  - Constant Field Values

### IMAGE_TYPE_EMBEDDED

public static final String IMAGE_TYPE_EMBEDDED

See Also:
  - Constant Field Values

## Constructor Details

### ImageNode

public ImageNode()

## Method Details

### getAttributes

public HashMap getAttributes()

### setAttribute

public void setAttribute(String name, String value)

### getExpr

public String getExpr()

### setExpr

public void setExpr(String expr)

### getType

public String getType()

### getImageName

public String getImageName()

### accept

public void accept(TextTemplate.Visitor visitor, Object value)

Specified by:
  `accept` in class `TextTemplate.Node`